// Copyright (C) 2004-2007 Tord Romstad

// This file is part of Glaurung.
//
// Glaurung is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//  
// Glaurung is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Glaurung; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA


#if !defined(MERSENNE_H_INCLUDED)
#define MERSENNE_H_INCLUDED

////
//// Includes
////

#include "types.h"


////
//// Prototypes
////

extern uint32 genrand_int32(void);
extern uint64 genrand_int64(void);
extern void init_mersenne(void);


#endif // !defined(MERSENNE_H_INCLUDED)
